System 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(false)

Use the enumeration to specify access control rights when you create objects. To apply access rights to a named system semaphore, use objects with the constructor and the method.

For the numeric values of the underlying Windows access rights, see Synchronization Object Security and Access Rights (Windows) in the MSDN Library.

Security on synchronization objects is not supported for Windows 98 or Windows Millennium Edition.

Specifies the access control rights that can be applied to named system semaphore objects.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.SemaphoreRights

  The right to change the security and audit rules associated with a named semaphore.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.SemaphoreRights

  The right to delete a named semaphore.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.SemaphoreRights

  The right to exert full control over a named semaphore, and to modify its access rules and audit rules.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.SemaphoreRights

  The right to release a named semaphore.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.SemaphoreRights

  The right to open and copy the access rules and audit rules for a named semaphore.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.SemaphoreRights

  The right to wait on a named semaphore.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.SemaphoreRights

  The right to change the owner of a named semaphore.